# container

Identifies the Event Hubs instance that receives the formatted log messages.

This parameter applies to omazureeventhubs: Microsoft Azure Event Hubs Output Module.

Name:

  container

Scope:

  input

Type:

  word

Default:

  input=none

Required?:

  no

Introduced:

  v8.2304

## Description

Specifies the name of the “Event Hubs Instance”—the specific event hub within the namespace—that should receive the forwarded log data. Define it unless `amqpAddress` already points at the desired event hub.

## Input usage

    action(type="omazureeventhubs" container="MyEventHub" ...)

## See also

See also omazureeventhubs: Microsoft Azure Event Hubs Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.